bundle/manifests/edp.epam.com_nexusrepositories.yaml [3890:4109]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                  hosted:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      component:
                        properties:
                          proprietaryComponents:
                            description: Components in this repository count as proprietary
                              for namespace conflict attacks (requires Sonatype Nexus
                              Firewall)
                            type: boolean
                        required:
                        - proprietaryComponents
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                          writePolicy:
                            default: ALLOW_ONCE
                            description: WritePolicy controls if deployments of and
                              updates to assets are allowed.
                            enum:
                            - ALLOW
                            - ALLOW_ONCE
                            - DENY
                            - REPLICATION_ONLY
                            type: string
                        type: object
                    required:
                    - name
                    type: object
                  proxy:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      httpClient:
                        default:
                          autoBlock: true
                        description: HTTP client configuration.
                        properties:
                          authentication:
                            description: HTTPClientAuthentication contains HTTP client
                              authentication configuration data.
                            properties:
                              ntlmDomain:
                                type: string
                              ntlmHost:
                                type: string
                              password:
                                description: Password for authentication.
                                type: string
                              type:
                                default: username
                                description: Type of authentication to use.
                                enum:
                                - username
                                - ntlm
                                type: string
                              username:
                                description: Username for authentication.
                                type: string
                            type: object
                          autoBlock:
                            default: true
                            description: Auto-block outbound connections on the repository
                              if remote peer is detected as unreachable/unresponsive
                            type: boolean
                          blocked:
                            description: Block outbound connections on the repository.
                            type: boolean
                          connection:
                            description: HTTPClientConnection contains HTTP client
                              connection configuration data.
                            properties:
                              enableCircularRedirects:
                                description: Whether to enable redirects to the same
                                  location (required by some servers)
                                type: boolean
                              enableCookies:
                                description: Whether to allow cookies to be stored
                                  and used
                                type: boolean
                              retries:
                                description: Total retries if the initial connection
                                  attempt suffers a timeout
                                type: integer
                              timeout:
                                description: Seconds to wait for activity before stopping
                                  and retrying the connection",
                                type: integer
                              useTrustStore:
                                description: Use certificates stored in the Nexus
                                  Repository Manager truststore to connect to external
                                  systems
                                type: boolean
                              userAgentSuffix:
                                description: Custom fragment to append to User-Agent
                                  header in HTTP requests
                                type: string
                            type: object
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      negativeCache:
                        default:
                          enabled: true
                          timeToLive: 1440
                        description: Negative cache configuration.
                        properties:
                          enabled:
                            default: true
                            description: Whether to cache responses for content not
                              present in the proxied repository.
                            type: boolean
                          timeToLive:
                            default: 1440
                            description: How long to cache the fact that a file was
                              not found in the repository (in minutes).
                            type: integer
                        type: object
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      proxy:
                        description: Proxy configuration.
                        properties:
                          contentMaxAge:
                            default: 1440
                            description: How long to cache artifacts before rechecking
                              the remote repository (in minutes)
                            type: integer
                          metadataMaxAge:
                            default: 1440
                            description: How long to cache metadata before rechecking
                              the remote repository (in minutes)
                            type: integer
                          remoteUrl:
                            description: Location of the remote repository being proxied.
                            example: https://remote-repository.com
                            type: string
                        required:
                        - remoteUrl
                        type: object
                      routingRule:
                        description: The name of the routing rule assigned to this
                          repository.
                        example: go-proxy-routing-rule
                        type: string
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - name
                    - proxy
                    type: object
                type: object
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



config/crd/bases/edp.epam.com_nexusrepositories.yaml [1683:1902]:
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
                  hosted:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      component:
                        properties:
                          proprietaryComponents:
                            description: Components in this repository count as proprietary
                              for namespace conflict attacks (requires Sonatype Nexus
                              Firewall)
                            type: boolean
                        required:
                        - proprietaryComponents
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                          writePolicy:
                            default: ALLOW_ONCE
                            description: WritePolicy controls if deployments of and
                              updates to assets are allowed.
                            enum:
                            - ALLOW
                            - ALLOW_ONCE
                            - DENY
                            - REPLICATION_ONLY
                            type: string
                        type: object
                    required:
                    - name
                    type: object
                  proxy:
                    properties:
                      cleanup:
                        properties:
                          policyNames:
                            description: ' Components that match any of the applied
                              policies will be deleted.'
                            items:
                              type: string
                            type: array
                        required:
                        - policyNames
                        type: object
                      httpClient:
                        default:
                          autoBlock: true
                        description: HTTP client configuration.
                        properties:
                          authentication:
                            description: HTTPClientAuthentication contains HTTP client
                              authentication configuration data.
                            properties:
                              ntlmDomain:
                                type: string
                              ntlmHost:
                                type: string
                              password:
                                description: Password for authentication.
                                type: string
                              type:
                                default: username
                                description: Type of authentication to use.
                                enum:
                                - username
                                - ntlm
                                type: string
                              username:
                                description: Username for authentication.
                                type: string
                            type: object
                          autoBlock:
                            default: true
                            description: Auto-block outbound connections on the repository
                              if remote peer is detected as unreachable/unresponsive
                            type: boolean
                          blocked:
                            description: Block outbound connections on the repository.
                            type: boolean
                          connection:
                            description: HTTPClientConnection contains HTTP client
                              connection configuration data.
                            properties:
                              enableCircularRedirects:
                                description: Whether to enable redirects to the same
                                  location (required by some servers)
                                type: boolean
                              enableCookies:
                                description: Whether to allow cookies to be stored
                                  and used
                                type: boolean
                              retries:
                                description: Total retries if the initial connection
                                  attempt suffers a timeout
                                type: integer
                              timeout:
                                description: Seconds to wait for activity before stopping
                                  and retrying the connection",
                                type: integer
                              useTrustStore:
                                description: Use certificates stored in the Nexus
                                  Repository Manager truststore to connect to external
                                  systems
                                type: boolean
                              userAgentSuffix:
                                description: Custom fragment to append to User-Agent
                                  header in HTTP requests
                                type: string
                            type: object
                        type: object
                      name:
                        description: |-
                          A unique identifier for this repository.
                          Only letters, digits, underscores(_), hyphens(-), and dots(.) are allowed and may not start with underscore or dot.
                        pattern: ^[a-zA-Z0-9][a-zA-Z0-9_.-]*$
                        type: string
                      negativeCache:
                        default:
                          enabled: true
                          timeToLive: 1440
                        description: Negative cache configuration.
                        properties:
                          enabled:
                            default: true
                            description: Whether to cache responses for content not
                              present in the proxied repository.
                            type: boolean
                          timeToLive:
                            default: 1440
                            description: How long to cache the fact that a file was
                              not found in the repository (in minutes).
                            type: integer
                        type: object
                      online:
                        default: true
                        description: Online determines if the repository accepts incoming
                          requests.
                        type: boolean
                      proxy:
                        description: Proxy configuration.
                        properties:
                          contentMaxAge:
                            default: 1440
                            description: How long to cache artifacts before rechecking
                              the remote repository (in minutes)
                            type: integer
                          metadataMaxAge:
                            default: 1440
                            description: How long to cache metadata before rechecking
                              the remote repository (in minutes)
                            type: integer
                          remoteUrl:
                            description: Location of the remote repository being proxied.
                            example: https://remote-repository.com
                            type: string
                        required:
                        - remoteUrl
                        type: object
                      routingRule:
                        description: The name of the routing rule assigned to this
                          repository.
                        example: go-proxy-routing-rule
                        type: string
                      storage:
                        default:
                          blobStoreName: default
                          strictContentTypeValidation: true
                        description: Storage configuration.
                        properties:
                          blobStoreName:
                            default: default
                            description: Blob store used to store repository contents.
                            example: default
                            type: string
                          strictContentTypeValidation:
                            default: true
                            description: 'StrictContentTypeValidation: Whether to
                              validate uploaded content''s MIME type appropriate for
                              the repository format.'
                            type: boolean
                        type: object
                    required:
                    - name
                    - proxy
                    type: object
                type: object
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -



